Desde la versión de Minecraft 1.8.1 Optifine U HD B6 en adelante el juego no carga y parece ser según lo que he leído que es porque necesita una nueva versión del launcher para usarlo, el problema es que yo uso 2 launcher de Minecraft no premium, uno es el Minecraft Launcher 4.1 By YoFenix y el otro es Shinigima Launcher 1.602 y no se que hacer.

Abajo les dejare lo que dicen ambos launcher cuando crashean.

Shinigima Launcher 1.602.txt
Minecraft Launcher 4.1 By YoFenix.txt